/*
tree.h Version 0.2.0 - Tree header file
Copyright (C) 2001,2002  dondalah721@yahoo.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/* node: pair format */

typedef struct prfmt {
   struct prfmt *left;
   struct prfmt *right;
   char pair[7];  /* duplicates not allowed */
   } prfmt;

prfmt *initnode(int north, int south);
int srch(int north, int south, prfmt *curr);
int isrt(prfmt *new, prfmt *curr,
   int id, int round, int court, int type);
void freetree(prfmt *node);
